- name: "Print IP for {{ inventory_hostname }}"
  debug:
    var: ansible_eth0.ipv4.address
  tags: role_k8s.network.print_IP

- name: "Set a ip address"
  become: yes 
  template:
    src: 10-static-en.network.j2
    dest: "/etc/systemd/network/10-static-en.network"
    owner: root
    group: root
    mode: 0644 
  register: network_interface_file
  tags: role_k8s.network.set_IP

- name: "remove default config DHCP"
  become: yes 
  file:
    path: /etc/systemd/network/99-dhcp-en.network
    state: absent
  tags: role_k8s.network.remove_dhcp 

- name: "remove config DHCP"
  become: yes 
  file:
    path: /etc/systemd/network/10-gosc-eth0.network
    state: absent  
  tags: role_k8s.network.remove_dhcp     
 
- name: Reboot immediately if there was a change.
  become: yes 
  shell: "sleep 5 && reboot"
  async: 1
  poll: 0
  when: network_interface_file is changed
  register: vm_restart

- pause:
    minutes: 1
  when: network_interface_file is changed  

- meta: refresh_inventory

- name: Wait for the reboot to complete if there was a change.
  wait_for_connection:
    connect_timeout: 20
    sleep: 5
    delay: 5
    timeout: 300
  when: vm_restart is changed  


